/*
 * DisplacementControl.designer.cs
 * Copyright (c) 2007-2009 kbinani
 *
 * This file is part of LipSync.
 *
 * LipSync is free software; you can redistribute it and/or
 * modify it under the terms of the BSD License.
 *
 * LipSync is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */
namespace LipSync {

    partial class DisplacementControl {
        /// <summary>
        /// 必要なデザイナ変数です。
        /// </summary>
        private System.ComponentModel.IContainer components = null;

        /// <summary>
        /// 使用中のリソースをすべてクリーンアップします。
        /// </summary>
        /// <param name="disposing">マネージ リソースが破棄される場合 true、破棄されない場合は false です。</param>
        protected override void Dispose( bool disposing ) {
            if ( disposing && (components != null) ) {
                components.Dispose();
            }
            base.Dispose( disposing );
        }

        #region Windows フォーム デザイナで生成されたコード

        /// <summary>
        /// デザイナ サポートに必要なメソッドです。このメソッドの内容を
        /// コード エディタで変更しないでください。
        /// </summary>
        private void InitializeComponent() {
            this.menuStrip1 = new System.Windows.Forms.MenuStrip();
            this.menuFile = new System.Windows.Forms.ToolStripMenuItem();
            this.menuClose = new System.Windows.Forms.ToolStripMenuItem();
            this.menuEdit = new System.Windows.Forms.ToolStripMenuItem();
            this.menuUndo = new System.Windows.Forms.ToolStripMenuItem();
            this.menuRedo = new System.Windows.Forms.ToolStripMenuItem();
            this.comboObjects = new System.Windows.Forms.ComboBox();
            this.menuFileImport = new System.Windows.Forms.ToolStripMenuItem();
            this.menuFileExport = new System.Windows.Forms.ToolStripMenuItem();
            this.curveEditor = new CurveEditor.CurveEditor();
            this.menuStrip1.SuspendLayout();
            this.SuspendLayout();
            // 
            // menuStrip1
            // 
            this.menuStrip1.Items.AddRange( new System.Windows.Forms.ToolStripItem[] {
            this.menuFile,
            this.menuEdit} );
            this.menuStrip1.Location = new System.Drawing.Point( 0, 0 );
            this.menuStrip1.Name = "menuStrip1";
            this.menuStrip1.Size = new System.Drawing.Size( 557, 26 );
            this.menuStrip1.TabIndex = 7;
            this.menuStrip1.Text = "menuStrip1";
            // 
            // menuFile
            // 
            this.menuFile.DropDownItems.AddRange( new System.Windows.Forms.ToolStripItem[] {
            this.menuFileImport,
            this.menuFileExport,
            this.menuClose} );
            this.menuFile.Name = "menuFile";
            this.menuFile.Size = new System.Drawing.Size( 85, 22 );
            this.menuFile.Text = "ファイル(&F)";
            // 
            // menuClose
            // 
            this.menuClose.Name = "menuClose";
            this.menuClose.ShortcutKeys = System.Windows.Forms.Keys.F9;
            this.menuClose.Size = new System.Drawing.Size( 152, 22 );
            this.menuClose.Text = "閉じる(&C)";
            this.menuClose.Click += new System.EventHandler( this.menuClose_Click );
            // 
            // menuEdit
            // 
            this.menuEdit.DropDownItems.AddRange( new System.Windows.Forms.ToolStripItem[] {
            this.menuUndo,
            this.menuRedo} );
            this.menuEdit.Name = "menuEdit";
            this.menuEdit.Size = new System.Drawing.Size( 61, 22 );
            this.menuEdit.Text = "編集(&E)";
            this.menuEdit.DropDownOpening += new System.EventHandler( this.menuEdit_DropDownOpening );
            // 
            // menuUndo
            // 
            this.menuUndo.Name = "menuUndo";
            this.menuUndo.ShortcutKeys = ((System.Windows.Forms.Keys)((System.Windows.Forms.Keys.Control | System.Windows.Forms.Keys.Z)));
            this.menuUndo.Size = new System.Drawing.Size( 226, 22 );
            this.menuUndo.Text = "元に戻す(&U)";
            this.menuUndo.Click += new System.EventHandler( this.menuUndo_Click );
            // 
            // menuRedo
            // 
            this.menuRedo.Name = "menuRedo";
            this.menuRedo.ShortcutKeys = ((System.Windows.Forms.Keys)(((System.Windows.Forms.Keys.Control | System.Windows.Forms.Keys.Shift)
                        | System.Windows.Forms.Keys.Z)));
            this.menuRedo.Size = new System.Drawing.Size( 226, 22 );
            this.menuRedo.Text = "やり直し(&R)";
            this.menuRedo.Click += new System.EventHandler( this.menuRedo_Click );
            // 
            // comboObjects
            // 
            this.comboObjects.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
                        | System.Windows.Forms.AnchorStyles.Right)));
            this.comboObjects.FormattingEnabled = true;
            this.comboObjects.Location = new System.Drawing.Point( 0, 24 );
            this.comboObjects.Margin = new System.Windows.Forms.Padding( 0, 0, 0, 1 );
            this.comboObjects.Name = "comboObjects";
            this.comboObjects.Size = new System.Drawing.Size( 557, 20 );
            this.comboObjects.TabIndex = 8;
            this.comboObjects.SelectedIndexChanged += new System.EventHandler( this.comboObjects_SelectedIndexChanged );
            // 
            // menuFileImport
            // 
            this.menuFileImport.Name = "menuFileImport";
            this.menuFileImport.Size = new System.Drawing.Size( 152, 22 );
            this.menuFileImport.Text = "Import(&I)";
            this.menuFileImport.Click += new System.EventHandler( this.menuFileImport_Click );
            // 
            // menuFileExport
            // 
            this.menuFileExport.Name = "menuFileExport";
            this.menuFileExport.Size = new System.Drawing.Size( 152, 22 );
            this.menuFileExport.Text = "Export(&E)";
            this.menuFileExport.Click += new System.EventHandler( this.menuFileExport_Click );
            // 
            // curveEditor
            // 
            this.curveEditor.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
                        | System.Windows.Forms.AnchorStyles.Left)
                        | System.Windows.Forms.AnchorStyles.Right)));
            this.curveEditor.BackColor = System.Drawing.SystemColors.AppWorkspace;
            this.curveEditor.ChangeXScaleWithWheel = true;
            this.curveEditor.ChangeYScaleWithWheel = true;
            this.curveEditor.ControlMaster = System.Drawing.Color.FromArgb( ((int)(((byte)(255)))), ((int)(((byte)(130)))), ((int)(((byte)(0)))) );
            this.curveEditor.ControlNormal = System.Drawing.Color.FromArgb( ((int)(((byte)(51)))), ((int)(((byte)(192)))), ((int)(((byte)(64)))) );
            this.curveEditor.ControlPointSize = 2;
            this.curveEditor.ControlPointType = CurveEditor.PointType.Circle;
            this.curveEditor.DataPoint = System.Drawing.Color.Black;
            this.curveEditor.DataPointHilight = System.Drawing.Color.Red;
            this.curveEditor.DataPointSize = 2;
            this.curveEditor.DataPointType = CurveEditor.PointType.Circle;
            this.curveEditor.HandleMaster = System.Drawing.Color.FromArgb( ((int)(((byte)(240)))), ((int)(((byte)(144)))), ((int)(((byte)(160)))) );
            this.curveEditor.HandleNormal = System.Drawing.Color.FromArgb( ((int)(((byte)(255)))), ((int)(((byte)(130)))), ((int)(((byte)(0)))) );
            this.curveEditor.LabelBackground = System.Drawing.Color.FromArgb( ((int)(((byte)(172)))), ((int)(((byte)(172)))), ((int)(((byte)(172)))) );
            this.curveEditor.ListBackground = System.Drawing.Color.FromArgb( ((int)(((byte)(143)))), ((int)(((byte)(143)))), ((int)(((byte)(143)))) );
            this.curveEditor.Location = new System.Drawing.Point( 0, 45 );
            this.curveEditor.MainScaleLine = System.Drawing.Color.FromArgb( ((int)(((byte)(44)))), ((int)(((byte)(44)))), ((int)(((byte)(44)))) );
            this.curveEditor.Margin = new System.Windows.Forms.Padding( 0 );
            this.curveEditor.MaxXScale = 100F;
            this.curveEditor.MaxYScale = 1000F;
            this.curveEditor.MinimumSize = new System.Drawing.Size( 100, 100 );
            this.curveEditor.MinXScale = 1F;
            this.curveEditor.MinYScale = 0.2F;
            this.curveEditor.Name = "curveEditor";
            this.curveEditor.RescaleYEnabled = true;
            this.curveEditor.ScaleLine = System.Drawing.Color.FromArgb( ((int)(((byte)(94)))), ((int)(((byte)(94)))), ((int)(((byte)(94)))) );
            this.curveEditor.ScrollEnabled = true;
            this.curveEditor.ShowList = true;
            this.curveEditor.Size = new System.Drawing.Size( 557, 340 );
            this.curveEditor.SubScaleLine = System.Drawing.Color.FromArgb( ((int)(((byte)(110)))), ((int)(((byte)(110)))), ((int)(((byte)(110)))) );
            this.curveEditor.TabIndex = 6;
            this.curveEditor.XLabel = CurveEditor.XLabel.Bottom;
            this.curveEditor.XOffset = 0F;
            this.curveEditor.XScale = 1F;
            this.curveEditor.YLabel = CurveEditor.YLabel.Left;
            this.curveEditor.YOffset = 0F;
            this.curveEditor.YScale = 0.2F;
            this.curveEditor.CurveEdited += new CurveEditor.CurveEditor.CurveEditedEventHandler( this.curveEditor_CurveEdited );
            // 
            // DisplacementControl
            // 
            this.AutoScaleDimensions = new System.Drawing.SizeF( 6F, 12F );
            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
            this.BackColor = System.Drawing.SystemColors.Control;
            this.ClientSize = new System.Drawing.Size( 557, 385 );
            this.Controls.Add( this.comboObjects );
            this.Controls.Add( this.curveEditor );
            this.Controls.Add( this.menuStrip1 );
            this.MainMenuStrip = this.menuStrip1;
            this.Name = "DisplacementControl";
            this.StartPosition = System.Windows.Forms.FormStartPosition.Manual;
            this.Text = "変位の制御";
            this.VisibleChanged += new System.EventHandler( this.DisplacementControl_VisibleChanged );
            this.FormClosing += new System.Windows.Forms.FormClosingEventHandler( this.DisplacementControl_FormClosing );
            this.menuStrip1.ResumeLayout( false );
            this.menuStrip1.PerformLayout();
            this.ResumeLayout( false );
            this.PerformLayout();

        }

        #endregion

        private CurveEditor.CurveEditor curveEditor;
        private System.Windows.Forms.MenuStrip menuStrip1;
        private System.Windows.Forms.ToolStripMenuItem menuFile;
        private System.Windows.Forms.ToolStripMenuItem menuEdit;
        public System.Windows.Forms.ToolStripMenuItem menuUndo;
        public System.Windows.Forms.ToolStripMenuItem menuRedo;
        public System.Windows.Forms.ComboBox comboObjects;
        private System.Windows.Forms.ToolStripMenuItem menuClose;
        private System.Windows.Forms.ToolStripMenuItem menuFileImport;
        private System.Windows.Forms.ToolStripMenuItem menuFileExport;
    }
}
